LibreOffice: XConnectorShape Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Public Member Functions | List of all members
XConnectorShape Interface Referencepublished

`import"XConnectorShape.idl";`

Inheritance diagram for XConnectorShape:

## Public Member Functions
void | connectStart ([in] com::sun::star::drawing::XConnectableShape xShape, [in] com::sun::star::drawing::ConnectionType nPos)
| connects the start of this instance More...
void | connectEnd ([in] com::sun::star::drawing::XConnectableShape xShape, [in] com::sun::star::drawing::ConnectionType nPos)
| connects the end of this instance. More...
void | disconnectBegin ([in] com::sun::star::drawing::XConnectableShape xShape)
| disconnects the given Shape from the start of this instance. More...
void | disconnectEnd ([in] com::sun::star::drawing::XConnectableShape xShape)
| disconnects the given Shape from the end of this instance. More...
Public Member Functions inherited from XShape
com::sun::star::awt::Point | getPosition ()
| gets the current position of this object. More...
void | setPosition ([in] com::sun::star::awt::Point aPosition)
| sets the current position of this object More...
com::sun::star::awt::Size | getSize ()
| gets the size of this object. More...
void | setSize ([in] com::sun::star::awt::Size aSize) raises ( com::sun::star::beans::PropertyVetoException )
| sets the size of this object. More...
Public Member Functions inherited from XShapeDescriptor
string | getShapeType ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Deprecated:

## Member Function Documentation

## § connectEnd()

void connectEnd | ( | [in] com::sun::star::drawing::XConnectableShape | xShape,
|  | [in] com::sun::star::drawing::ConnectionType | nPos
| ) |  |

connects the end of this instance.

## § connectStart()

void connectStart | ( | [in] com::sun::star::drawing::XConnectableShape | xShape,
|  | [in] com::sun::star::drawing::ConnectionType | nPos
| ) |  |

connects the start of this instance

## § disconnectBegin()

void disconnectBegin | ( | [in] com::sun::star::drawing::XConnectableShape | xShape | ) |

disconnects the given Shape from the start of this instance.

## § disconnectEnd()

void disconnectEnd | ( | [in] com::sun::star::drawing::XConnectableShape | xShape | ) |

disconnects the given Shape from the end of this instance.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XConnectorShape.idl